Subject: bug#39181: 27.0.50; [PATCH] Allow users to store & restore gdb-mi layout

From: Yuan Fu <[email-masked]>
Date: Sun, 2 Feb 2020 09:22:07 -0500

> On Jan 31, 2020, at 5:13 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Yuan Fu <[email-masked]>
>> Date: Sat, 18 Jan 2020 15:57:32 -0500
>> 
>> Right now if a user wants to use gdb with many windows, the only layout option is the default 6-window layout.
> 
> This is not entirely accurate.  The user could start "M-x gdb"
> normally, then selectively display some of the other windows via the
> Gud->GDB-Windows or Gud->GDB-Frames menus.
> 
>> This patch  allows a user to save her own layout, and use this layout in gdb-mi sessions.
> 
> I'd prefer to extend the existing capability by adding a feature, both
> in the menu bar and as a command, to save and restore the window
> configuration set via the above-mentioned existing facilities.  WDYT?

Thanks makes sense; will do. I’ll put them in GUD windows menu.

> Please also fix all the minor nits I mentioned in review of your
> previous patches: quoting, 2 blanks between sentences, complete
> sentences in comments and log messages, etc.  Last, but not least,
> please don't break a single patch into several separate ones, unless
> each one of the separate patches can make sense if applied on its own.

Will do.

Yuan